pfodParser 5.0.1 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
pfodDwgs Class Reference

`#include <pfodDwgs.h>`

Inherits pfodDwgsBase.

## Public Member Functions
| pfodDwgs ()
| pfodDwgs (Print *out)
void | start (int cols, int rows, int backgroundColor=WHITE, uint8_t moreData=0)
void | startUpdate (uint8_t moreData=0)
void | end ()
void | pushZero (double col, double row=0.0, double scale=1.0)
void | popZero ()
pfodRectangle & | rectangle ()
pfodCircle & | circle ()
pfodLabel & | label ()
pfodTouchZone & | touchZone ()
pfodTouchAction & | touchAction ()
pfodTouchActionInput & | touchActionInput ()
pfodInsertDwg & | insertDwg ()
pfodLine & | line ()
pfodArc & | arc ()
pfodErase & | erase ()
pfodHide & | hide ()
pfodUnhide & | unhide ()
pfodIndex & | index ()
float | xRadius (float angle, float radius)
float | yRadius (float angle, float radius)

## Static Public Member Functions
static int | reserveIdx (int numToReserve)

## Protected Attributes
struct pfodDwgVALUES | values

## Detailed Description

Definition at line 30 of file pfodDwgs.h.

## Constructor & Destructor Documentation

## ◆ pfodDwgs() [1/2]

pfodDwgs::pfodDwgs | ( |  | ) |

## ◆ pfodDwgs() [2/2]

pfodDwgs::pfodDwgs | ( | Print * | out | ) |

## Member Function Documentation

## ◆ arc()

pfodArc& pfodDwgs::arc | ( |  | ) |

## ◆ circle()

pfodCircle& pfodDwgs::circle | ( |  | ) |

## ◆ end()

void pfodDwgs::end | ( |  | ) |

## ◆ erase()

pfodErase& pfodDwgs::erase | ( |  | ) |

## ◆ hide()

pfodHide& pfodDwgs::hide | ( |  | ) |

## ◆ index()

pfodIndex& pfodDwgs::index | ( |  | ) |

## ◆ insertDwg()

pfodInsertDwg& pfodDwgs::insertDwg | ( |  | ) |

## ◆ label()

pfodLabel& pfodDwgs::label | ( |  | ) |

## ◆ line()

pfodLine& pfodDwgs::line | ( |  | ) |

## ◆ popZero()

void pfodDwgs::popZero | ( |  | ) |

## ◆ pushZero()

void pfodDwgs::pushZero | ( | double | col,
|  | double | row = `0.0`,
|  | double | scale = `1.0`
| ) |  |

## ◆ rectangle()

pfodRectangle& pfodDwgs::rectangle | ( |  | ) |

## ◆ reserveIdx()

static int pfodDwgs::reserveIdx | ( | int | numToReserve | ) |
| static

## ◆ start()

void pfodDwgs::start | ( | int | cols,
|  | int | rows,
|  | int | backgroundColor = `WHITE`,
|  | uint8_t | moreData = `0`
| ) |  |

## ◆ startUpdate()

void pfodDwgs::startUpdate | ( | uint8_t | moreData = `0` | ) |

## ◆ touchAction()

pfodTouchAction& pfodDwgs::touchAction | ( |  | ) |

## ◆ touchActionInput()

pfodTouchActionInput& pfodDwgs::touchActionInput | ( |  | ) |

## ◆ touchZone()

pfodTouchZone& pfodDwgs::touchZone | ( |  | ) |

## ◆ unhide()

pfodUnhide& pfodDwgs::unhide | ( |  | ) |

## ◆ xRadius()

float pfodDwgs::xRadius | ( | float | angle,
|  | float | radius
| ) |  |

## ◆ yRadius()

float pfodDwgs::yRadius | ( | float | angle,
|  | float | radius
| ) |  |

## Member Data Documentation

## ◆ values

struct pfodDwgVALUES pfodDwgs::values
| protected

Definition at line 60 of file pfodDwgs.h.